/* BlinkenLib
   Copyright 2004-2016 Stefan Schuermans <stefan@schuermans.info>
   Copyleft GNU public license - http://www.gnu.org/copyleft/gpl.html
   a blinkenarea.org project */

#ifndef INC_BlinkenLib_BlinkenGif
#define INC_BlinkenLib_BlinkenGif

#include <BlinkenLib/config.h>
#include <BlinkenLib/BlinkenFrame.h>
#include <BlinkenLib/BlinkenMovie.h>

#ifndef BLINKENLIB_CFG_GIF
#error This file is to be used for GIF support only.
#endif // #ifndef BLINKENLIB_CFG_GIF

#ifdef __cplusplus
extern "C" {
#endif

stBlinkenMovie *BlinkenGifLoad(const char *pFilename);

int BlinkenGifSave(stBlinkenMovie *pMovie, const char *pFilename);

#ifdef __cplusplus
} // extern "C"
#endif

#endif // #ifndef INC_BlinkenLib_BlinkenGif
